## social-auth-core 3.1.0

=== social_core/tests/requirements.txt ===
-r requirements-python2.txt

## social-auth-core 1.7.0

=== debian/changelog ===
social-auth-core (1.7.0-1) unstable; urgency=low

  * Initial packaging. Closes: #854894

 -- Andre Bianchi <drebs@riseup.net>  Thu, 22 Feb 2018 19:49:12 -0300

=== debian/control ===
Source: social-auth-core
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andre Bianchi <drebs@riseup.net>
Build-Depends: debhelper (>= 11)
             , dh-python
             , python3-all
             , python3-setuptools
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://github.com/python-social-auth/social-core/
Vcs-Git: https://salsa.debian.org/python-team/modules/social-auth-core.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/social-auth-core
X-Python-Version: >= 2.6

Package: python3-social-auth-core
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
       , ${python3:Depends}
       , python3-defusedxml (>= 0.5.0)
       , python3-openid (>= 3.0.10)
Description: This is the core component of the python-social-auth ecosystem
 Python Social Auth is an easy to setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 This is the core component of the python-social-auth ecosystem, it
 implements the common interface to define new authentication backends to
 third parties services, implement integrations with web frameworks and
 storage solutions.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=social-auth-core

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## social-auth-core 3.0.0

=== debian/changelog ===
social-auth-core (3.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #920757)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field

 -- W. Martin Borgert <debacle@debian.org>  Mon, 28 Jan 2019 22:33:12 +0000

## social-auth-core 3.1.0

=== debian/changelog ===
social-auth-core (3.1.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 17:29:03 +0100

social-auth-core (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Fri, 01 Mar 2019 00:34:14 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Homepage: https://github.com/python-social-auth/social-core/
 Vcs-Git: https://salsa.debian.org/python-team/modules/social-auth-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/social-auth-core
-X-Python-Version: >= 2.6
 
 Package: python3-social-auth-core
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/social-auth-core/social-auth-core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## social-auth-core 4.1.0

=== debian/changelog ===
social-auth-core (4.1.0-1) unstable; urgency=medium

  * Team upload
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Carsten Schoenert ]
  * d/gbp.conf: Add helper config for git-buildpackage
  * d/watch: Update to version 4
  * New upstream version 4.1.0
  * d/copyright: Small updates due new version
  * d/control: Running warp-and-sort -ast
  * d/control: Bump debhelper version to 13
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/control: Update short/long desc python3-social-auth-core
  * d/README.source: Adding same information about source
  * d/s/lintian-overrides: Some things in source we can ignore

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Dec 2021 10:26:58 +0100

## social-auth-core 4.2.0

=== Makefile ===
build:
	@ python setup.py sdist
	@ python setup.py bdist_wheel --python-tag py3

publish:
	@ twine upload dist/*

release:
	@ docker-compose run social-release

tests:
	@ docker-compose run social-tests

clean:
	@ find . -name '*.py[co]' -delete
	@ find . -name '__pycache__' -delete
	@ rm -rf *.egg-info dist build

=== debian/changelog ===
social-auth-core (4.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.2.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 19 Jan 2022 17:05:56 +0100

=== debian/control ===
Source: social-auth-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andre Bianchi <drebs@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/python-social-auth/social-core/
Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-core.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/social-auth-core

Package: python3-social-auth-core
Architecture: all
Multi-Arch: foreign
Depends:
 python3-defusedxml (>= 0.5.0),
 python3-openid (>= 3.0.10),
 ${misc:Depends},
 ${python3:Depends},
Description: Core component of the python-social-auth ecosystem (Python3 version)
 Python Social Auth aims to be an easy to setup social authentication and
 authorization mechanism for Python projects supporting protocols like OAuth
 (1 and 2), OpenID and others with support for several frameworks and auth
 providers.
 .
 This is the core component of the python-social-auth ecosystem, it
 implements the common interface to define new authentication backends to
 third parties services, implement integrations with web frameworks and
 storage solutions.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -fr ${CURDIR}/debian/python3-social-auth-core/usr/lib/python3*/dist-packages/social_core/tests/

=== debian/watch ===
# watch file for social-auth-core

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/social-auth-core-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/python-social-auth/social-core.git \
      refs/tags/(\d+\.\d+\.\d+)

## social-auth-core 4.3.0

=== social_core/tests/requirements.txt ===
pytest>=4.5
httpretty>=0.9.6
coverage>=3.6
pytest-cov>=2.7.1

=== debian/changelog ===
social-auth-core (4.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.0
  * d/control: Update Standards-Version to 4.6.1
  * d/copyright: Update years data of contributors

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 16 Jun 2022 19:46:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/python-social-auth/social-core/
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-core.git

## social-auth-core 4.4.2

=== debian/changelog ===
social-auth-core (4.4.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 30 Jun 2023 19:35:06 +0200

social-auth-core (4.4.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 4.4.2
  * d/{control,rules}: Use dh-sequence-* helper
  * d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * d/copyright: Update years data of contributors
  * d/s/lintian-overrides: Update data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 26 May 2023 14:44:59 +0200

## social-auth-core 4.5.3

=== debian/changelog ===
social-auth-core (4.5.3-1) unstable; urgency=medium

  * Team upload
  * [ec44172] d/watch: Add compression=gz
  * [cfa0182] New upstream version 4.5.3
  * [7cc43aa] d/copyright: Update year data of contributors
  * [2712326] d/s/lintian-overrides: Drop overriding file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Feb 2024 16:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Andre Bianchi <drebs@riseup.net>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/python-social-auth/social-core/
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-core.git

## social-auth-core 4.5.4

=== debian/changelog ===
social-auth-core (4.5.4-1) unstable; urgency=medium

  * Team upload
  * [542314b] New upstream version 4.5.4
  * [fca7c31] d/control: Update Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Jun 2024 08:31:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/python-social-auth/social-core/
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-core.git
@@ -23,7 +23,7 @@
  python3-openid (>= 3.0.10),
  ${misc:Depends},
  ${python3:Depends},
-Description: Core component of the python-social-auth ecosystem (Python3 version)
+Description: Core component of the python-social-auth ecosystem (Python3)
  Python Social Auth aims to be an easy to setup social authentication and
  authorization mechanism for Python projects supporting protocols like OAuth
  (1 and 2), OpenID and others with support for several frameworks and auth

## social-auth-core 4.5.6

=== debian/changelog ===
social-auth-core (4.5.6-1) unstable; urgency=medium

  * Team upload
  * [db68b59] New upstream version 4.5.6
  * [44906ad] d/copyright: Update year data of contributors
  * [4e5a436] d/copyright: Update content, remove unused license
  * [c9a872e] d/control: Add pybuild-plugin-pyproject to B-D
  * [9b7e436] d/control: Remove versioned Deps on bin package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Feb 2025 19:25:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Standards-Version: 4.7.0
@@ -19,8 +20,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-defusedxml (>= 0.5.0),
- python3-openid (>= 3.0.10),
  ${misc:Depends},
  ${python3:Depends},
 Description: Core component of the python-social-auth ecosystem (Python3)

## social-auth-core 4.6.1

=== debian/changelog ===
social-auth-core (4.6.1-1) unstable; urgency=medium

  * Team upload
  * [9d278c9] New upstream version 4.6.1
  * [d4ce3e9] d/control: Update Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 May 2025 11:58:19 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/python-social-auth/social-core/
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-core.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=social-auth-core
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       filenamemangle=s/.+\/(\d\S*)\.tar\.gz/social-auth-core-$1.tar.gz/ \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \

## social-auth-core 4.8.1

=== debian/changelog ===
social-auth-core (4.8.1-1) unstable; urgency=medium

  * Team upload
  * [07038c0] d/watch: Converted to version 5
  * [7787a7e] New upstream version 4.8.1
  * [aa004ea] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [12ae318] d/control: Add more B-D for running the tests
  * [83ff780] d/rules: Switch on running test suite at build time
  * [2a0395d] d/rules: Don't remove the tests at install time
  * [8755c60] d/rules: Remove non needed file coverage.xml
  * [1f8c775] d/u/metadata: Add Documentation field
  * [fda0474] d/README.source: Remove obsolete info about tests
  * [62c3cf7] autopkgtest: Add a first test setup
  * [16c295e] d/salsa-ci.yml: Add dedicated Salsa CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Nov 2025 19:14:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,15 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-oauthlib <!nocheck>,
+ python3-openid <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-requests <!nocheck>,
+ python3-requests-oauthlib <!nocheck>,
+ python3-responses <!nocheck>,
  python3-setuptools,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/python-social-auth/social-core/
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/social-auth-core

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=social-auth-core
export PYBUILD_AFTER_INSTALL=find {destdir}{install_dir} -type f -name "coverage.xml" | xargs -r rm -vrf
export PYBUILD_TEST_ARGS=\
 --ignore=social_core/tests/backends/test_google.py \
 --ignore=social_core/tests/backends/test_steam.py

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-responses,
 python3-typing-extensions,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Source: https://github.com/python-social-auth/social-core.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/

## social-auth-core 4.8.3

=== debian/changelog ===
social-auth-core (4.8.3-1) unstable; urgency=medium

  * Team upload
  * [431369c] New upstream version 4.8.3
  * [6ae2a47] d/control: Update Standards-Version to 4.7.3
    No further changes needed.
  * [e3f03a7] d/copyright: Update year data of contributors

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Jan 2026 16:25:23 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-requests-oauthlib <!nocheck>,
  python3-responses <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/python-social-auth/social-core/
 Vcs-Git: https://salsa.debian.org/python-team/packages/social-auth-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/social-auth-core

## social-auth-core 4.8.5

=== debian/changelog ===
social-auth-core (4.8.5-1) unstable; urgency=medium

  * Team upload
  * [54e5038] New upstream version 4.8.5
  * [c7c63af] d/control: Add python3-jwt versioned dependency
  * [25ebde6] d/control: Drop field Priority: optional

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Feb 2026 15:53:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: social-auth-core
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andre Bianchi <drebs@riseup.net>,
@@ -26,6 +25,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ python3-jwt (>= 2.11.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Core component of the python-social-auth ecosystem (Python3)
